// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 48;
	objects = {

/* Begin PBXBuildFile section */
		F7564077201E167D00F69545 /* TodoViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = F7564076201E167D00F69545 /* TodoViewController.swift */; };
		F7564079201ECA5500F69545 /* TodoDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = F7564078201ECA5500F69545 /* TodoDelegate.swift */; };
		F756407B201ECB5300F69545 /* TodoDataSource.swift in Sources */ = {isa = PBXBuildFile; fileRef = F756407A201ECB5300F69545 /* TodoDataSource.swift */; };
		F756407E201EDD7500F69545 /* TodoViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = F756407C201EDD7500F69545 /* TodoViewCell.swift */; };
		F756407F201EDD7500F69545 /* TodoViewCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = F756407D201EDD7500F69545 /* TodoViewCell.xib */; };
		F7D37CE42018784200CB134E /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = F7D37CE32018784200CB134E /* AppDelegate.swift */; };
		F7D37CE62018784200CB134E /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = F7D37CE52018784200CB134E /* ViewController.swift */; };
		F7D37CE92018784200CB134E /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = F7D37CE72018784200CB134E /* Main.storyboard */; };
		F7D37CEB2018784200CB134E /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = F7D37CEA2018784200CB134E /* Assets.xcassets */; };
		F7D37CEE2018784200CB134E /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = F7D37CEC2018784200CB134E /* LaunchScreen.storyboard */; };
		F7D37CF62018865D00CB134E /* ToDoModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = F7D37CF52018865D00CB134E /* ToDoModel.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		F7564076201E167D00F69545 /* TodoViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TodoViewController.swift; sourceTree = "<group>"; };
		F7564078201ECA5500F69545 /* TodoDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TodoDelegate.swift; sourceTree = "<group>"; };
		F756407A201ECB5300F69545 /* TodoDataSource.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TodoDataSource.swift; sourceTree = "<group>"; };
		F756407C201EDD7500F69545 /* TodoViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TodoViewCell.swift; sourceTree = "<group>"; };
		F756407D201EDD7500F69545 /* TodoViewCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = TodoViewCell.xib; sourceTree = "<group>"; };
		F7D37CE02018784200CB134E /* mvc-simpletodo.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = "mvc-simpletodo.app"; sourceTree = BUILT_PRODUCTS_DIR; };
		F7D37CE32018784200CB134E /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		F7D37CE52018784200CB134E /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		F7D37CE82018784200CB134E /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		F7D37CEA2018784200CB134E /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		F7D37CED2018784200CB134E /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		F7D37CEF2018784200CB134E /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		F7D37CF52018865D00CB134E /* ToDoModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ToDoModel.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		F7D37CDD2018784200CB134E /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		F7D37CD72018784200CB134E = {
			isa = PBXGroup;
			children = (
				F7D37CE22018784200CB134E /* mvc-simpletodo */,
				F7D37CE12018784200CB134E /* Products */,
			);
			sourceTree = "<group>";
		};
		F7D37CE12018784200CB134E /* Products */ = {
			isa = PBXGroup;
			children = (
				F7D37CE02018784200CB134E /* mvc-simpletodo.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		F7D37CE22018784200CB134E /* mvc-simpletodo */ = {
			isa = PBXGroup;
			children = (
				F7D37CE32018784200CB134E /* AppDelegate.swift */,
				F7D37CE52018784200CB134E /* ViewController.swift */,
				F7D37CE72018784200CB134E /* Main.storyboard */,
				F7D37CEA2018784200CB134E /* Assets.xcassets */,
				F7D37CEC2018784200CB134E /* LaunchScreen.storyboard */,
				F7D37CEF2018784200CB134E /* Info.plist */,
				F7D37CF52018865D00CB134E /* ToDoModel.swift */,
				F7564076201E167D00F69545 /* TodoViewController.swift */,
				F7564078201ECA5500F69545 /* TodoDelegate.swift */,
				F756407A201ECB5300F69545 /* TodoDataSource.swift */,
				F756407C201EDD7500F69545 /* TodoViewCell.swift */,
				F756407D201EDD7500F69545 /* TodoViewCell.xib */,
			);
			path = "mvc-simpletodo";
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		F7D37CDF2018784200CB134E /* mvc-simpletodo */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = F7D37CF22018784200CB134E /* Build configuration list for PBXNativeTarget "mvc-simpletodo" */;
			buildPhases = (
				F7D37CDC2018784200CB134E /* Sources */,
				F7D37CDD2018784200CB134E /* Frameworks */,
				F7D37CDE2018784200CB134E /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = "mvc-simpletodo";
			productName = "mvc-simpletodo";
			productReference = F7D37CE02018784200CB134E /* mvc-simpletodo.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		F7D37CD82018784200CB134E /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 0920;
				LastUpgradeCheck = 0920;
				ORGANIZATIONNAME = "Bherly Novrandy";
				TargetAttributes = {
					F7D37CDF2018784200CB134E = {
						CreatedOnToolsVersion = 9.2;
						ProvisioningStyle = Automatic;
					};
				};
			};
			buildConfigurationList = F7D37CDB2018784200CB134E /* Build configuration list for PBXProject "mvc-simpletodo" */;
			compatibilityVersion = "Xcode 8.0";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = F7D37CD72018784200CB134E;
			productRefGroup = F7D37CE12018784200CB134E /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				F7D37CDF2018784200CB134E /* mvc-simpletodo */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		F7D37CDE2018784200CB134E /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				F7D37CEE2018784200CB134E /* LaunchScreen.storyboard in Resources */,
				F7D37CEB2018784200CB134E /* Assets.xcassets in Resources */,
				F756407F201EDD7500F69545 /* TodoViewCell.xib in Resources */,
				F7D37CE92018784200CB134E /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		F7D37CDC2018784200CB134E /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				F7564077201E167D00F69545 /* TodoViewController.swift in Sources */,
				F7D37CE62018784200CB134E /* ViewController.swift in Sources */,
				F756407B201ECB5300F69545 /* TodoDataSource.swift in Sources */,
				F7D37CF62018865D00CB134E /* ToDoModel.swift in Sources */,
				F7564079201ECA5500F69545 /* TodoDelegate.swift in Sources */,
				F756407E201EDD7500F69545 /* TodoViewCell.swift in Sources */,
				F7D37CE42018784200CB134E /* AppDelegate.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		F7D37CE72018784200CB134E /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				F7D37CE82018784200CB134E /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		F7D37CEC2018784200CB134E /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				F7D37CED2018784200CB134E /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		F7D37CF02018784200CB134E /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 11.2;
				MTL_ENABLE_DEBUG_INFO = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		F7D37CF12018784200CB134E /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 11.2;
				MTL_ENABLE_DEBUG_INFO = NO;
				SDKROOT = iphoneos;
				SWIFT_OPTIMIZATION_LEVEL = "-Owholemodule";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		F7D37CF32018784200CB134E /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 4V4UZ42VA2;
				INFOPLIST_FILE = "mvc-simpletodo/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
				PRODUCT_BUNDLE_IDENTIFIER = "com.bherly.mvc-simpletodo";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		F7D37CF42018784200CB134E /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 4V4UZ42VA2;
				INFOPLIST_FILE = "mvc-simpletodo/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
				PRODUCT_BUNDLE_IDENTIFIER = "com.bherly.mvc-simpletodo";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		F7D37CDB2018784200CB134E /* Build configuration list for PBXProject "mvc-simpletodo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				F7D37CF02018784200CB134E /* Debug */,
				F7D37CF12018784200CB134E /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		F7D37CF22018784200CB134E /* Build configuration list for PBXNativeTarget "mvc-simpletodo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				F7D37CF32018784200CB134E /* Debug */,
				F7D37CF42018784200CB134E /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = F7D37CD82018784200CB134E /* Project object */;
}
